Subject: 23.1.50; tramp + remote debugging works no longer
From: Michal <[email-masked]>
To: [email-masked]
Date: Wed, 30 Sep 2009 18:27:11 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

I just upgraded from emacs 23.1 (version from web site, not from cvs) to 23.1.50.1.
Then tried to debug some simple program:
M-x gdb: gdb -i=mi /n.10.3.rh73:/tmp/p1

failed as You can see.

Additionaly I just invoked it again, this time with "debug-on-error". This is result:
Debugger entered--Lisp error: (wrong-type-argument stringp nil)
  string-match("[^-0-9a-zA-Z_./]" nil 0)
  shell-quote-argument(nil)
  tramp-shell-quote-argument(nil)
  mapconcat(tramp-shell-quote-argument (nil) " ")
  tramp-handle-start-file-process("gdb-inferior" #<buffer limbo> nil)
  apply(tramp-handle-start-file-process ("gdb-inferior" #<buffer limbo> nil))
  tramp-sh-file-name-handler(start-file-process "gdb-inferior" #<buffer limbo> nil)
  apply(tramp-sh-file-name-handler start-file-process ("gdb-inferior" #<buffer limbo> nil))
  tramp-file-name-handler(start-file-process "gdb-inferior" #<buffer limbo> nil)
  apply(tramp-file-name-handler start-file-process "gdb-inferior" #<buffer limbo> nil nil)
  start-file-process("gdb-inferior" #<buffer limbo> nil)
  apply(start-file-process "gdb-inferior" #<buffer limbo> nil nil)
  comint-exec-1("gdb-inferior" #<buffer limbo> nil nil)
  comint-exec(#<buffer limbo> "gdb-inferior" nil nil nil)
  make-comint-in-buffer("gdb-inferior" #<buffer limbo> nil)
  gdb-inferior-io-mode()
  gdb-get-buffer-create(gdb-inferior-io)
  gdb-init-1()
  gdb-update()
  gdb("gdb -i=mi /n.10.3.rh73:/tmp/p1")
  call-interactively(gdb t nil)
  execute-extended-command(nil)
  call-interactively(execute-extended-command nil nil)

in previous emacs I used to do:
1) visit /n.10.3.rh73:/tmp directory
2) M-x gdb: gdb --annotate=3 ./p1

for emacs 23.1.50.1 I also tried this command, but no success.

Best regards,
Michal

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/local/share/emacs/23.1.50/etc/DEBUG for instructions.

In GNU Emacs 23.1.50.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-09-29 on localhost.localdomain
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Debugger

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f C-a C-k / n . 1 0 . 3 . r h 7 3 : / t m 
p / 1 p <backspace> <backspace> p 1 C-a C-k C-y . c 
<tab> <tab> <return> <escape> x g d b <return> <backspace> 
<backspace> C-y <return> <escape> x r e p o r t - e 
m <tab> <return>

Recent messages:
Tramp: Opening connection for n.10.3.rh73 using scp...
Tramp: Waiting 60s for local shell to come up...
Tramp: Sending command `ssh n.10.3.rh73   -q -e none && exit || exit'
Tramp: Waiting for prompts from remote shell
Tramp: Found remote shell prompt on `n.10.3.rh73'
Tramp: Opening connection for n.10.3.rh73 using scp...
Tramp: Waiting 60s for local shell to come up...
Tramp: Sending command `ssh n.10.3.rh73   -q -e none && exit || exit'
Tramp: Waiting for prompts from remote shell
Tramp: Found remote shell prompt on `n.10.3.rh73'
shell-quote-argument: Wrong type argument: stringp, nil

Load-path shadows:
None found.